Bug 101154 - Rename "Classification" toolbar (TSCP classification) in menu and label the toolbar itself
Summary: Rename "Classification" toolbar (TSCP classification) in menu and label the t...
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.2.0.3 rc
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: Classification
  Show dependency treegraph
 
Reported: 2016-07-27 14:25 UTC by DN
Modified: 2019-03-11 09:27 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DN 2016-07-27 14:25:58 UTC
As shown in this video https://www.youtube.com/watch?v=EshNTl23liY there is a new confidentiality classification drop-down currently labelled "Intellectual Property". There are two problems with this:

* the classifications in the drop-down do not actually relate to copyrights or anything else that might be (poorly) termed "Intellectual Property";
* the term itself - see [1] for a good summary, but essentially, legal (and supposedly limited) monopolies on reproduction of intellectual creations do not equal property, however much that continued characterisation might (and does) benefit those with a vested interest in propagating that legally misrepresentative perception.

The dropdown would be much better- and more accurately-named "Confidentiality".

[1] https://en.wikipedia.org/w/index.php?title=Intellectual_property&oldid=730213735#The_term_.22intellectual_property.22
Comment 1 Julien Nabet 2016-07-28 08:12:04 UTC
Let's ask to ux-team their opinion about this one.
Comment 2 Heiko Tietze 2016-07-28 08:52:07 UTC
For all who hate youtube videos like me: the concerns are about the classification toolbar (View > Toolbars > Classification), where "Intellectual Property" is a label along with National Security and Export Control with the options to flag as Non-Business, General Business, Confidential, Internal Only. 

"Confidentiality" sounds good to me (non native speaker).

But from the UX POV it's bikeshedding. Questions are rather:
* How to add more options? (department XY, lab Foo, person Bar)
* How to adopt to country/organization specific situations? (4th options like read/write, comment, read only, share instead of Confidentiality, Nat. Sec. etc)
* Why show a toolbar to just set a flag? (we would find alternatives to reactivate the message panel)
* How to assign colors with flags? (red is am error, and classifying as Internal might not always be wanted as such)
* Any relation between the classes? (when I want set the first options only,  the others have an arbitrary value)

+ The toolbar is non-standard, misses transparency first of all, but is not usable when placed at the vertical side.
+ Labels have no accelerator meaning the toolbar is not accessible for handicapped people.

(No youtube video explains the use case, purpose, target group etc. And a review needs these info. So I might be wrong on some points.)
Comment 3 Alex Thurgood 2016-07-28 11:22:09 UTC
(In reply to Heiko Tietze from comment #2)

Agreed.

When I first encountered this toolbar, it was in relation to a bug reported against the background colour not being graduated in the same way as the other toolbars for OSX. I literally had no idea of what this was, or what it was supposed to achieve.

At present, I fail to understand what useful purpose it might have, especially seeing as the tag definitions do not appear to be editable nor their content modifiable, or capable of being localised (I hope I am wrong with this last one, else what a mess the toolbar will be for non US-English users). I assume that there is a spec somewhere that defines the rationale behind it ? Apologies to all for digressing from the bug report, but I'm trying to understand how this came into being and what use-case it serves.
Comment 4 Alex Thurgood 2016-07-28 11:24:14 UTC
Setting to new with regard to the use of the word "Intellectual Property", a better definition would indeed appear to be "Confidentiality"
Comment 5 Miklos Vajna 2016-08-03 12:33:34 UTC
The "Intellectual Property" string comes from <https://www.tscp.org/wp-content/uploads/2013/08/TSCP_BAILSv1.pdf>, Appendix B (page 20). If you don't like that string, please complain to the creators of the TSCP standard.

The string in question is in sfx2/source/view/view.src, STR_CLASSIFIED_INTELLECTUAL_PROPERTY, but I would find it very confusing to rename it, when it was a string so far taken literally from the standard.
Comment 6 DN 2016-08-03 14:19:40 UTC
Hi Miklos. This toolbar and classification system is designed for organisations following the TSCP document classification framework. TSCP is a defence industry initiative and as such this classification system is geared towards that use, not general business document classification. As your blog says, the work in LibreOffice was even "made possible" (I assume funded?) by the Dutch Ministry of Defence: http://vmiklos.hu/blog/classification-toolbar.html

There is nothing necessarily wrong with the work being done for that purpose of course. But it should be very clear in the interface that this is not a general-purpose document classification system (e.g. for general business use). Since it is specific to TSCP standards, it should be labelled as such.

According to the above blog post, the toolbar is disabled by default, and enabled via:

View → Toolbars → Classification

Instead the toolbar should then be termed "TSCP classification" or "TSCP BAILS classification" or similar.

That should also be extended to the toolbar itself, which has enough room (looking at http://vmiklos.hu/blog/classification-toolbar-multicat.html) for the addition of e.g. "TSCP classification" on the left of the toolbar. However, this wouldn't be a necessity as long as the toolbar is not enabled by default, since it should be clear to anyone who has manually enabled the toolbar what its purpose is.

But as mentioned, without properly describing what the toolbar is for anyhwere in the interface, the initial issue remains - these descriptions are not accurate or helpful in isolation. A general user, looking to categorise for example general business documents, who enables a seemingly fit for purpose "Classification" toolbar, would be presented with what seem to be a badly-named and confusing set of three dropdowns, each with identical options. They will not have any idea that they are BAILS classifications for TSCP-compliant documents!
Comment 7 DN 2016-08-03 14:24:37 UTC
Worth re-reading Alex's comment #3 in light of my last reply as well - demonstrates what the UX problem will be for most users very well.
Comment 8 Miklos Vajna 2016-08-04 09:35:10 UTC
https://cgit.freedesktop.org/libreoffice/help/tree/source/text/swriter/classificationbar.xhp spells out TSCP explicitly.

I have no problems with renaming the toolbar is that helps, the UI strings are here:

$ grep Classification officecfg/registry/data/org/openoffice/Office/UI/*WindowState.xcu
officecfg/registry/data/org/openoffice/Office/UI/CalcWindowState.xcu:          <value xml:lang="en-US">Classification</value>
officecfg/registry/data/org/openoffice/Office/UI/ImpressWindowState.xcu:          <value xml:lang="en-US">Classification</value>
officecfg/registry/data/org/openoffice/Office/UI/WriterWindowState.xcu:          <value xml:lang="en-US">Classification</value>

Though be aware that this will create confusion -- we're past the 5.2 string freeze, so probably 5.2 will have the Classification name, and then 5.3+ will have a different name.

Feel free to submit a gerrit patch that changes the names.
Comment 9 Miklos Vajna 2016-08-04 09:40:21 UTC
Ah, sorry, I commented too fast. :-) Renaming from "Classification" to "TSCP Classification" sounds good, users who already saw "Classification" would still find it reasonably easily. I'll do that.
Comment 10 DN 2016-08-04 13:45:54 UTC
Thanks :)
Comment 11 Commit Notification 2016-08-05 08:45:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adbaad53624bd88c58cd1ee2ecfb7207c9ab59ee

tdf#101154 Classification -> TSCP Classification for the toolbar name

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Miklos Vajna 2016-08-05 09:03:56 UTC
This is a string change, so not possible to backport to libreoffice-5-2 in general. If there is an explicit ACK from l10n that this exception is OK, technically no problem to backport there.
Comment 13 DN 2016-08-05 12:15:06 UTC
How would I go about getting an ack from l10n?
Comment 14 Yousuf Philips (jay) (retired) 2016-08-06 05:51:11 UTC
@Sophie: Can we backport this string change to 5.2?

http://cgit.freedesktop.org/libreoffice/core/commit/?id=adbaad53624bd88c58cd1ee2ecfb7207c9ab59ee
Comment 15 Heiko Tietze 2016-08-06 08:02:21 UTC
(In reply to freedesktop from comment #13)
> How would I go about getting an ack from l10n?

@Sophie: Do we have / Can we introduce a flag like "needsl10nEval" that makes an issue appear on your mailing list or get your attention somehow else?
Comment 16 Adolfo Jayme Barrientos 2016-08-09 11:22:19 UTC
Why is it so urgent to break the string freeze in the 5.2 series for something that could not even be considered a big issue? You realize it’s putting a big burden in translators? Why isn’t it okay for this to be fixed in 5.3 and beyond only?
Comment 17 Cor Nouws 2019-01-11 14:19:17 UTC
sorry, but this needs to be reverted.

https://wiki.documentfoundation.org/TSCP-classification explains why.
It is TSCP based, but good for ~any organization. So TSCP confuses.
Comment 18 Cor Nouws 2019-01-11 14:19:42 UTC
https://gerrit.libreoffice.org/66176
Comment 19 DN 2019-01-11 19:52:41 UTC
This should absolutely *not* be reverted, for the reasons already given above.

Reverting this change re-introduces all of the above problems.

Please instead propose a *change* which addresses your concern ("TSCP confuses" - which is odd because it is concise, accurate and eminently searchable), and doesn't re-break all the above.
Comment 20 DN 2019-01-11 19:54:37 UTC
And can you please explain what the impetus for this proposed revert is 3 years later? Who has a problem with "TSCP classification" exactly? is there some user testing that has indicated that the status quo is a problem?
Comment 21 Cor Nouws 2019-01-12 13:55:59 UTC
(In reply to DN from comment #19)
> This should absolutely *not* be reverted, for the reasons already given
> above.

please read what I've written and the wiki. Thanks for understanding.
Comment 22 Cor Nouws 2019-01-12 14:00:37 UTC
(In reply to Cor Nouws from comment #21)

> please read what I've written and the wiki. Thanks for understanding.

and the Help is clear too on this aspect.
Comment 23 DN 2019-01-13 19:08:29 UTC
> please read what I've written and the wiki. Thanks for understanding.

What you've written on the wiki re. the name is: "The implementation in LibreOffice allows working with classification in probably any organization and environment. Therefore using the term "Classification" as such, is fine."

You wrote that 6 days ago.

It does not explain how a toolbar with a dropdown containing the label "intellectual property" and the options "Non-Business", "General Business", "Confidential" and "Internal Only" (and dialogues repeating those options), constitutes a general-purpose "classification" feature.

It is *at best* a *confidentiality* classification feature. There are *plenty* of other classification metrics aside from confidentiality. What *is* confusing, is labelling a specific type of classification toolbar simply "classification".

Naming it "confidentiality" would be *better*, but this doesn't explain at all why this toolbar has such propagandised terminology as "Intellectual Property" as a label. Again, I refer you to https://en.wikipedia.org/wiki/Intellectual_property#The_term_%22intellectual_property%22 for a thorough examination of this.

"TSCP classification" at least clearly explains the choice of terminology, namely that this is from an external organisation and classification process.

Why have you suddenly after three years declared that the current wording "confuses"?

Where is the evidence for this?
Comment 24 Cor Nouws 2019-01-13 20:09:16 UTC
(In reply to DN from comment #23)

> Why have you suddenly after three years declared that the current wording
> "confuses"?

Ah, I understand the following is not clear: From LibreOffice 6.0 on the process of applying classification in LibreOffice is much more mature and flexible than what was offered in the initial version.
And apart from that: also in older versions can one adapt the content of the policy file to the needs. See the wiki.
Comment 25 Cor Nouws 2019-01-13 20:12:43 UTC
(In reply to Cor Nouws from comment #24)
> Ah, I understand the following is not clear: From LibreOffice 6.0 on the
> process of applying classification in LibreOffice is much more mature and
> ..

/ added a note on top of the wiki page
Comment 26 DN 2019-01-13 20:47:19 UTC
> flexible

I'm using 6.0.x, and the only flexibility I can see is the ability to write a custom BAILS-xml file as documented in the wiki?

If so, "out of the box", the end user gets TSCP classification.

In a corporate environment with a customised deployment of LO with custom classification config., the toolbar naming might be suitable, since the organisation will have customised the classification to be relevant to that organisation.

For all other users, writing a custom XML file and pointing LibreOffice to it doesn't fall within "end user" flexibility.

In this case, while there is not a UI for editing classification categories:

* The toolbar name in the menu (e.g. TSCP classification) should be drawn from a field in the XML, unless there is something preventing this. By default, this should be "TSCP classification", since that's the only available classification without writing XML, which is *not* an end-user task, and "Classification" currently/still does *not* usefully describe this classification system.
* If custom XML is deployed, this would then change the toolbar name to something that usefully describes the replacement system.
* If and when LO provides a UI for the end user to change the classification categories, it would then be sensible for the toolbar name to be reverted to "Classification", since for the *end user*, this is a general-purpose and flexible categorisation system.

The wiki mentions 6.3 having a broader example.xml for classification; maybe they will no longer be TSCP-specific and the revert in master will end up in that version?

In that case:

* Presumably the categories will be useful to a broad set of users, and won't be specifically about confidentiality and/or TSCP?
* This revert won't end up in LO versions before 6.3?
Comment 27 Cor Nouws 2019-01-13 21:54:37 UTC
(In reply to DN from comment #26)
> I'm using 6.0.x, and the only flexibility I can see is the ability to write
> a custom BAILS-xml file as documented in the wiki?
Plus adding extra markings to the labels, pre-define extra stuff, plus paragraph classification, plus hardening with signatures, ..

> If so, "out of the box", the end user gets TSCP classification.
It is not TSCP-classification.
The system is TSCP-based. The provided classifications are examples for any type of use (or not).

> For all other users, writing a custom XML file and pointing LibreOffice to
> it doesn't fall within "end user" flexibility.
Your opinion. What does a private user want to do with classification?

> * If custom XML is deployed, this would then change the toolbar name to
> something that usefully describes the replacement system.
The toolbar name can be changed in Expert configuration.
Not yet documented, I think (as most expert configuration :\ )

> * This revert won't end up in LO versions before 6.3?
No, all work AFAIC for 6.3.
There are some bugs that might get fixed and backported to 6.1/6.2. No idea.
But the rest all involves strings and string freeze for 6.2 is already here.
Comment 28 Heiko Tietze 2019-01-14 08:01:56 UTC
(In reply to Cor Nouws from comment #18)
> https://gerrit.libreoffice.org/66176

Don't think just "Classification" is a clear term. It misses the security aspect, which was clear with "TSCP Classification".
Comment 29 Cor Nouws 2019-01-14 12:54:32 UTC
(In reply to Heiko Tietze from comment #28)
> Don't think just "Classification" is a clear term. It misses the security
> aspect, which was clear with "TSCP Classification".
Are you really sure :) ?  What do the letters "TSCP" add about security in understanding the UI?
Few people, also in relevant organizations, have an idea what "TSCP" is. One has to look it up to see "secure" in TSCP.
And even more: if you do a little study of TSCP, you'll notice that classification, the marking of documents, is only _one_ aspect of TSCP, and as such only _one_ element of working secure.
TSCP does a great job in setting out a framework for secure global collaboration, that can be used by more or less ~any organization.

For LibreOffice the name "Classification" says it all.
And if someone doesn't know what it is, and how to use it, s/he obviously doesn't need it, or will be informed later by colleagues.
Comment 30 Heiko Tietze 2019-01-14 16:33:56 UTC
(In reply to Cor Nouws from comment #29)
> What do the letters "TSCP" add about security in understanding the UI?

Not much, of course, but it's at least an information that this classification is not about big/small documents, good/bad writing style, private/business content etc. Nevertheless I agree with the idea to change. How about: "Change Security Level" or "Modify Security Classification"?
Comment 31 Cor Nouws 2019-01-14 17:50:58 UTC
(In reply to Heiko Tietze from comment #30)
> (In reply to Cor Nouws from comment #29)
> > What do the letters "TSCP" add about security in understanding the UI?
> 
> Not much, of course, but it's at least an information that this
> classification is not about big/small documents, good/bad writing style,
> private/business content etc. Nevertheless I agree with the idea to change.
> How about: "Change Security Level" or "Modify Security Classification"?

Could also be "Apply privacy level"; "Change IP-level" ?
Comment 32 Heiko Tietze 2019-01-14 17:54:53 UTC
(In reply to Cor Nouws from comment #31)
> Could also be "Apply privacy level"; "Change IP-level" ?

The first one absolutely yes. But IP could be read as something else.
Comment 33 Cor Nouws 2019-01-15 20:55:31 UTC
(In reply to Heiko Tietze from comment #32)


>>> How about: "Change Security Level" or "Modify Security Classification"?
>> Could also be "Apply privacy level"; "Change IP-level" ? 
> The first one absolutely yes. But IP could be read as something else.

But serious now.
- A tool bar name does not have verbs, I think.
- Varying it at random from 'Security' to 'Intellectual property' to 'Privacy' to .. doesn't sound useful too.
Comment 34 DN 2019-01-15 21:28:28 UTC
>>> How about: "Change Security Level" or "Modify Security Classification"?
>> Could also be "Apply privacy level"; "Change IP-level" ? 

> - A tool bar name does not have verbs, I think.

It's straightforward to conform the suggestions to "Security Level", "Security Level", "Privacy Level" and "IP Level".

> - Varying it at random from 'Security' to 'Intellectual property' to 'Privacy' to .. doesn't sound useful too.

Did someone suggest "varying the name at random"?

There is also my original proposal of "Confidentiality", although without the broadened list of categories targeted at 6.3 it's difficult to know what would make an accurate and precise name.
Comment 35 Miklos Vajna 2019-03-11 09:27:18 UTC
Reset assignee to default now that this is reopened.